function [p,u] = convertPhfit(a, B, n, m)
%a initial probabilities
%B sub-infinitesimal generator
%n number of phases for the body
%m number of phases for the tail

    assert(m+n == size(B,2),"Dimensions must agree");
    
    ashort = a(1,1:n);
    qshort = zeros(1,n);
    
    for i=2:n
        qshort(i)=B(i,i-1);
    end
    qshort(1)=-B(1,1);
    
    qshort = fliplr(qshort);
    ashort = fliplr(ashort);
    
    [p,u] = convertToHyper(ashort, qshort);
    
    p = [p a(1,n+1:n+m)];
    u = [u zeros(1,m)];
    
    for i=n+1:n+m
        u(i)=-B(i,i);
    end
end